move.h File Reference

Go to the source code of this file.

## Namespaces

| std

## Macros

#define | __cpp_lib_addressof_constexpr
#define | _GLIBCXX_FORWARD(_Tp, __val)
#define | _GLIBCXX_FWDREF(_Tp)
#define | _GLIBCXX_MOVE(__val)

## Functions

template<typename _Tp >
constexpr _Tp * | std::__addressof (_Tp &__r) noexcept
template<typename _Tp , typename _Up = _Tp>
constexpr _Tp | std::__exchange (_Tp &__obj, _Up &&__new_val)
template<typename _Tp >
constexpr _Tp * | std::addressof (_Tp &__r) noexcept
template<typename _Tp >
const _Tp * | std::addressof (const _Tp &&)=delete
template<typename _Tp >
constexpr _Tp && | std::forward (typename std::remove_reference< _Tp >::type &&__t) noexcept
template<typename _Tp >
constexpr _Tp && | std::forward (typename std::remove_reference< _Tp >::type &__t) noexcept
template<typename _Tp >
constexpr std::remove_reference< _Tp >::type && | std::move (_Tp &&__t) noexcept
template<typename _Tp >
constexpr __conditional_t< __move_if_noexcept_cond< _Tp >::value, const _Tp &, _Tp && > | std::move_if_noexcept (_Tp &__x) noexcept
template<typename _Tp >
constexpr enable_if< __and_< __not_< __is_tuple_like< _Tp > >, is_move_constructible< _Tp >, is_move_assignable< _Tp > >::value >::type | std::swap (_Tp &__a, _Tp &__b) noexcept(/*conditional */) is_nothrow_move_assignable< _Tp >>
template<typename _Tp , size_t _Nm>
constexpr enable_if< __is_swappable< _Tp >::value >::type | std::swap (_Tp(&__a)[_Nm], _Tp(&__b)[_Nm]) noexcept(/*conditional */)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <utility>.

Definition in file move.h.